Đến nội dung


Hình ảnh
5 stars - based on 24598 reviews
- - - - -

Mã Dxf Của Điểm Gốc Chèn Hatch ( Tọa Độ Điểm Màu Xanh Trong Ctrl+1)


  • Please log in to reply
6 replies to this topic

#1 ThanhDattdk

ThanhDattdk

    biết vẽ line

  • Members
  • PipPip
  • 23 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 03 June 2017 - 10:20 AM

Em xin chào các bác. Em có tìm đoạn code để xác định tọa độ điểm màu xanh như trong hình của Htach nhưng không thấy. Khi entget nó thì có nhiều mã 10 quá. Bác nào chỉ biết chỉ giúp em với. Cảm ơn mọi người154132_untitled_1.jpg


  • 1

Hãy Quan Tâm Nhiều Hơn Đến Người Khác <<


#2 cuongtk2

cuongtk2

    biết lệnh mirror

  • Members
  • PipPipPip
  • 150 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 03 June 2017 - 03:28 PM

Không có trọng tâm cho hatch đâu, bạn nên tạo region rồi dùng vla-get-centroid. nếu pline thì search trên mạng từ này:(defun vl-pline-centroid
  • 0

#3 DuongTrungHuy

DuongTrungHuy

    biết lệnh rotate

  • Members
  • PipPipPip
  • 136 Bài viết
Điểm đánh giá: 46 (tàm tạm)

Đã gửi 05 June 2017 - 02:44 PM

Chào ThanhDattdk,

 

Hì vấn đề này xem ra khó nhỉ

Mình ko biết cái điểm xanh đó nó có đặc tính gì, có liên quan hình học gì đến Poly bao của HATCH? Một đôi khi mình thấy nó lại biến mất (hình như là nằm trùng với 1 cạnh). Bạn có thể cho biết vấn đề nào đã dẫn Bạn đến việc phải nắm cái điểm xanh đó không? Bạn nắm tọa độ điểm đó để làm gì?


  • 0

#4 ThanhDattdk

ThanhDattdk

    biết vẽ line

  • Members
  • PipPip
  • 23 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 05 June 2017 - 04:18 PM

Cảm ơn bạn. Mình muốn điền text vào vị trí điểm màu xanh đó ( đại loại là chọn hàng loạt Hatch và điền 1 text nào đó tại điểm tâm Hatch đó cho dễ nhìn, vì mình có xem qua mã DXF của hatch mà không biết nên xác định điểm nào để cho dễ coi mà click vào thấy điểm màu xanh đó nên thắc mắc xem có cách nào xđ điểm đó không.

Mình đã khắc phục bằng dòng lệnh sau, thấy cũng tạm ổn

 

(setq  Rec (acet-ent-geomextents e)

  pt1 (nth 0 Rec);lay dinh
  pt2 (nth 1 Rec);lay dinh 
  mid (acet-geom-midpoint pt1 pt2))

  • 1

Hãy Quan Tâm Nhiều Hơn Đến Người Khác <<


#5 DuongTrungHuy

DuongTrungHuy

    biết lệnh rotate

  • Members
  • PipPipPip
  • 136 Bài viết
Điểm đánh giá: 46 (tàm tạm)

Đã gửi 06 June 2017 - 08:54 AM

 

Cảm ơn bạn. Mình muốn điền text vào vị trí điểm màu xanh đó ( đại loại là chọn hàng loạt Hatch và điền 1 text nào đó tại điểm tâm Hatch đó cho dễ nhìn, vì mình có xem qua mã DXF của hatch mà không biết nên xác định điểm nào để cho dễ coi mà click vào thấy điểm màu xanh đó nên thắc mắc xem có cách nào xđ điểm đó không.

Mình đã khắc phục bằng dòng lệnh sau, thấy cũng tạm ổn

 

Ái chà khen Bạn 1 cái... Thì ra nó là điểm tâm hình chữ nhật bao ngoài cái HATCH (chỉ đúng với các HATCH không có cung tròn), hèn gì mà mình thay đổi 1 số đình HATCH mà nó cũng ko dịch chuyển gì. Nhưng cái điểm này 1 đôi khi nó lại nằm ngoài vùng HATCH bạn nhỉ.


  • 0

#6 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5732 Bài viết
Điểm đánh giá: 2641 (tuyệt vời)

Đã gửi 06 June 2017 - 11:52 AM

(defun c:foo()
(vla-getboundingbox (vlax-ename->vla-object (car(entsel))) 'p1 'p2)
(entmake (list (cons 0 "CIRCLE")(cons 10
(mapcar '* (mapcar '+ (vlax-safearray->list p1) (vlax-safearray->list p2)) '(0.5 0.5 0.5))
)(cons 40 100)
)))

^^ Là tâm boundingbox


  • 1

#7 ThanhDattdk

ThanhDattdk

    biết vẽ line

  • Members
  • PipPip
  • 23 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 09 June 2017 - 11:26 AM

(defun c:foo()
(vla-getboundingbox (vlax-ename->vla-object (car(entsel))) 'p1 'p2)
(entmake (list (cons 0 "CIRCLE")(cons 10
(mapcar '* (mapcar '+ (vlax-safearray->list p1) (vlax-safearray->list p2)) '(0.5 0.5 0.5))
)(cons 40 100)
)))

^^ Là tâm boundingbox

 

em cảm ơn anh nhiều


  • 0

Hãy Quan Tâm Nhiều Hơn Đến Người Khác <<